#define  USE_HY17P60_5M

/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <hy17p60sfr.h>
#include <INT.h>
#include <I2C.h>
#include <GPIO.h>
/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/
//#define  TPSTEST

/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/
unsigned char ReadBuf[16],WriteBuf[]={0x00,0x22,0x33,0x44,0x55,0x66,0x86};
unsigned char Index,Temp;
unsigned char Tx_Length,Rx_Length;
unsigned char I2CADD= 0xa0;
volatile typedef union _I2CSTATUS
{
  char  _byte;
  struct
  {
    unsigned b_Finish:1;
    unsigned b_Read:1;
    unsigned b_Fail:1;
  };
} I2CSTATUS;

I2CSTATUS  I2CSTATUSbits;
/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/
void EEPROM_ByteWrite(void);
void EEPROM_ByteRead(void);
void Delay(char ms);
/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
void main(void)
{
	//Inital the System
	GPIO_PT2SETIN(2);//SCK
	GPIO_PT2SETPU(2);
	GPIO_PT2SETIN(3);//SDA
	GPIO_PT2SETPU(3);

    //CFG0 |= 0x01;
    I2C0Enable();
	I2C0_GCRstEnable();

	I2C0_SCLCLKSet(0x80);
	I2CIE_Enable();
	GIE_Enable();

      EEPROM_ByteWrite();
    Delay(100);

    Rx_Length=4;  // receive 0x22,0x33,0x44,0x55
	EEPROM_ByteRead();
    Delay(100);

    Rx_Length=6;
	EEPROM_ByteRead(); // receive 0x22,0x33,0x44,0x55,0x66,0x86
    Delay(100);

    Rx_Length=5;
	EEPROM_ByteRead();  // receive 0x22,0x33,0x44,0x55,0x66
    Delay(100);

	while(1);

}
void EEPROM_ByteWrite(void)
{
   unsigned char a=1;
	Tx_Length=7;
	Index=0;
	I2CSTATUSbits._byte=0;  // I2CSTATUS clear
	I2CSTATUSbits.b_Read=0;
	I2C0_SPIA(START_1);
	while(a)
	{
		if(I2CSTATUSbits.b_Finish==1)
		{a=0;}
	}
}
void EEPROM_ByteRead(void)
{
   unsigned char a=1;
	Tx_Length=1;
	//Rx_Length=5;
	Index=0;
	I2CSTATUSbits._byte=0;  // I2CSTATUS clear
	I2CSTATUSbits.b_Read=1;
	I2C0_SPIA(START_1);
	while(a)
	{
		if(I2CSTATUSbits.b_Finish==1)
		{a=0;}
	}
}
/*----------------------------------------------------------------------------*/
/* Interrupt Service Routines                                                 */
/*----------------------------------------------------------------------------*/
void ISR(void) __interrupt
{
	unsigned char STAData;
	if(I2CIF_IsFlag() && I2CSTATUSbits.b_Finish==0 )
	{
		I2CIF_ClearFlag();
		STAData=I2C0_STAState();
		switch(STAData)
		{
			case 0x80:
			{
				I2C0_SPIA(STOP_1);
				I2CSTATUSbits.b_Finish=1;
				break;
			}
			case 0x84:
			{
				I2C0_SendData(WriteBuf[Index++]);
				I2C0_SPIA(0);
				break;
			}
			case 0x88:
			{
				I2C0_SPIA(0);
				break;
			}
			case 0x8c:
			{
				if(Tx_Length> Index)
				{
					I2C0_SendData(WriteBuf[Index++]);
					I2C0_SPIA(0);
				}
				else
				{
					if(I2CSTATUSbits.b_Read==1)
					{
						I2C0_SPIA(START_1);
					}
					else
					{
						I2C0_SPIA(STOP_1);
						I2CSTATUSbits.b_Finish=1;
					}
				}
				break;
			}
			case 0x90:
			{
				Rx_Length--;
				I2C0_SendData(I2CADD);
				I2C0_SPIA(0);
				break;
			}
			case 0x91:
			{
				I2C0_SPIA(0);
				break;
			}
			case 0x94:
			{
				Index=0;
				I2C0_SPIA(ACK_1);
				break;
			}
			case 0x98:
			{
				ReadBuf[Index]= RDB0;
				Index++;
				I2C0_SPIA(STOP_1);
				I2CSTATUSbits.b_Finish=1;
				break;
			}
			case 0x9C:
			{
				ReadBuf[Index]= RDB0;
				Index++;
				if(Rx_Length>Index)
				{
					I2C0_SPIA(ACK_1);
				}
				else
				{
					I2C0_SPIA(0);
				}
				break;
			}
			case 0xB0:
			{
				I2C0_SendData((I2CADD+1));
				I2C0_SPIA(0);
				break;
			}
			case 0x30:
			{
				I2C0_SPIA(STOP_1);
				I2CSTATUSbits.b_Finish=1;
				break;
			}
		}
	}

}

/*----------------------------------------------------------------------------*/
/* Delay                                                 */
/*----------------------------------------------------------------------------*/
void Delay(char ms)
{
	unsigned char c=49;
	while(ms)
	{
    	while(c)
    	{
           	c--;
    	}
    	ms--;
	}
}
/*----------------------------------------------------------------------------*/
/* End Of File                                                                */
/*----------------------------------------------------------------------------*/
