#define  USE_HY17P60_5M

/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <hy17p60sfr.h>
#include <INT.h>
#include <I2C.h>
#include <GPIO.h>
/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/
//#define  TPSTEST

/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/
unsigned char ReadBuf[16],WriteBuf[]={0x10,0x20,0x30,0x40,0x50,0x60};
unsigned char ReadIndex=0;
unsigned char *WriteIndex;
//unsigned char a,b;
/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
void main(void)
{
	//Inital the System
    GPIO_PT2SETIN(2);
	GPIO_PT2SETIN(3);
	GPIO_PT2SETPU(2);
	GPIO_PT2SETPU(3);

    I2C0Enable();
	I2C0_SCLCLKSet(1);
	I2C0_SlaveModeEnable();
	I2C0_SlaveAddSet(0xa0);
	I2CIE_Enable();
	GIE_Enable();




	while(1)
	{
	}

}

/*----------------------------------------------------------------------------*/
/* Interrupt Service Routines                                                 */
/*----------------------------------------------------------------------------*/
void ISR(void) __interrupt
{
	unsigned char STAData;
	if(I2CIF_IsFlag())
	{
		I2CIF_ClearFlag();
		STAData=I2C0_STAState();
		switch(STAData)
		{
			case 0x30:
			{
				I2C0_SendData(0xff);
				I2C0_SPIA(0);
				break;
			}
			case 0x31:
			{
				I2C0_SPIA(0);
				break;
			}
			case 0x44:
			{
				ReadIndex=0;
				I2C0_SPIA(ACK_1);
				break;
			}
			case 0x48:
			{
				ReadBuf[ReadIndex]=RDB0;
				ReadIndex++;
				I2C0_SPIA(0);
				break;
			}
			case 0x4C:
			{
				ReadBuf[ReadIndex]=RDB0;
				ReadIndex++;
				I2C0_SPIA(ACK_1);
				break;
			}
			case 0x54:
			{
				WriteIndex=&WriteBuf[0];
				I2C0_SendData(*WriteIndex);
				WriteIndex++;
				I2C0_SPIA(0);
				break;
			}
			case 0x58:
			{
				I2C0_SendData(0xff);
				I2C0_SPIA(0);
				break;
			}
			case 0x5C:
			{

				I2C0_SendData(*WriteIndex);
				WriteIndex++;
				I2C0_SPIA(0);
				break;
			}

		}
	}

}

/*----------------------------------------------------------------------------*/
/* End Of File                                                                */
/*----------------------------------------------------------------------------*/
