#define  USE_HY17P60_5M
/******************************************************************************
 * HY17P60_LVD.c                                                        *
 * -------------------------------------------------------------------------- *
 * Copyright 2020 HYCON Technology                                            *
 * http://www.hycontek.com/                                                   *
 *                                                                            *
 * Program Description:                                                       *
 *                                                                            *
 *                                                                             *
 * For External Input                                                         *
 * IC Body: HY17P60                                                           *

 ******************************************************************************/
/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <SFRType.h>
//#include <PWR.h>
//#include <GPIO.h>
//#include <RST.h>
//#include <ADC.h>
//#include <CLK.h>
//#include <MFC.h>

/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/
void Delay(unsigned int num);
/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/
void main(void)
{
	unsigned int a;

    PWRCN2 |= 0x04;    //Enable ENLDOPL
	PWRCN= 0b10000110;    //ENBGR+LDOC 2.4V+LDOM VDD+ENLDO
	PWRCN1= 0b10001011;    //ENREFO+ENVS+0.5*VDDA

	OSCCN0= 0x00;
	OSCCN2= 0x03;    //HAO=4.9152MHz

	PT1IN= 0xFF;
	TRISC1= 0xFF;
	PT1= 0x00;

	MFCN0= 0b01100010;    //CPRH=VDD+Normal mode
	MFCN1= 0b00101111;    //VSS+22.5R Open+20R Short+V12-RLO
	MFCN2= 0b00011000;    //CPDA=24/32(CPRLHVCPRLL)
    MFCN0 |= 0x01;    //MFC Enable

    a=0;
	while(1)
	{
	   if(MFCN0 & (1 << 5))
	    {
	    	a=0;
	        PT1= 0x01;

	    }
	    else
	    {
            a=1;
	        PT1= 0x00;
	    }

	}
}

/*----------------------------------------------------------------------------*/
/* Interrupt Service Routines                                                 */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* Subroutine Function                                                        */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* Software Delay Subroutines                                                 */
/*----------------------------------------------------------------------------*/
void Delay(unsigned int num)
{
	for(;num>0;num--)
    __asm__("NOP");
}

/*----------------------------------------------------------------------------*/
/* End Of File                                                                */
/*----------------------------------------------------------------------------*/
