#define  USE_HY17P60_5M
/******************************************************************************
 * Frequency Counter.c                                                                                    *
 * -----------------------------------------------------------------------------------------*
 * Copyright 2020 HYCON Technology                                                *
 * http://www.hycontek.com/                                                   *
 *                                                                            *
 * Program Description:                                                       *
 *--------------------                                                        *
 *    1. Auto-BaudrateAPCݶǰe055HƶiAuto-Baudrateե         *
 *    2. UART Receive 16Byte                                                  *
 *    3. UART Transmit 16Byte                                                 *
 *                                                                            *
 * HY17P60                                                                    *
 * ---------                                                                  *
 *          |                                                                 *
 *          |             ----------                                          *
 *    PT1.4 | TX --->RXD | UART     |                                         *
 *    PT1.3 | RC <---TXD  ----------                                          *
 *          |                                                                 *
 *          |                                                                 *
 *     GND  |                                                                 *
 *          |                                                                 *
 * ---------                                                                  *
 *                                                                            *
 * For External Input                                                         *
 * IC Body: HY17P60                                                           *
 ******************************************************************************/
/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <hy17p60sfr.h>
#include <GPIO.h>
#include <INT.h>
#include <UART.h>
/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/
//#define  TPSTEST

/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/
unsigned char ReadBuf,WriteBuf;
/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/
void UART0_RCOK(void);
void AutoBGR(void);
void TXSend(unsigned char TXData);
/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
void main(void)
{
	//Inital the System
	GPIO_PT1SETIN(4);
	GPIO_PT1SETIN(3);

	UART0_BGRSet(0);
    UART0Enable();
	UART0_TXEnable();
	UART0_TX9Enable();
	UART0_CREnable();
	UART0_RC9Enable();
	UART0_RCOK();
	UART0_ABDEnable();
	AutoBGR();
	ReadBuf=RC0REG;  //Clear RCIF
	RCIE_Enable();
	GIE_Enable();
	TXSend(0x11);


	while(1)
	{


	}

}
void UART0_RCOK(void)
{
unsigned char a=1;
	while(a)
	{
		if(UART0_GetRCIDL())
		{
			a=0;
		}
		else
		{
			a=1;
		}
	}
}
void AutoBGR(void)
{
unsigned char a=1;
	while(a)
	{
		if(UART0_GetABDOVF())
		{
			while(1);
		}
		if(BA0CN & ENABD_MSK)
		{
			a=1;
		}
		else
		{
			a=0;
		}
	}
}
void TXSend(unsigned char TXData)
{
unsigned char a=1;
	TX0R=TXData;
	while(a)
	{
		if(TXIF_IsFlag())
		{
			if(UART0_GetTRMT())
			{
				a=0;
			}
		}
	}
}
/*----------------------------------------------------------------------------*/
/* Interrupt Service Routines                                                 */
/*----------------------------------------------------------------------------*/
void ISR(void) __interrupt
{
	if(RCIF_IsFlag())
	{
		UART0_RCOK();
		ReadBuf=RC0REG;  //Clear RCIF
		TXSend(ReadBuf);
	}

}

/*----------------------------------------------------------------------------*/
/* End Of File                                                                */
/*----------------------------------------------------------------------------*/
