#define  USE_HY17P60_5M
/******************************************************************************
 * WDT_Demo.c                                                                                    *
 * -----------------------------------------------------------------------------------------*
 * Copyright 2020 HYCON Technology                                                *
 * http://www.hycontek.com/                                                   *
 *                                                                            *
 * Program Description:                                                       *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 * For External Input                                                         *
 * IC Body: HY17P60                                                           *
 ******************************************************************************/
/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <SFRType.h>
#include <WDT.h>
#include <RST.h>
#include <GPIO.h>
#include <INT.h>
/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/
unsigned char i,XOR=1;

/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/
void Idle_WakeUp(void);
void Normal_clear(void);
void Normal_NotClear(void);
/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/
//Test1: idle mode. When wake up ,set PT1.1 status Inversion
//Test2: normal mode. WDT count will be cleared, so program doesn't reset
//Test3: normal mode. WDT count not cleared, cause program will be reset
//Start program will change PT1.0 status 3 times to check program reset or not
/*----------------------------------------------------------------------------*/
void main(void)
{
	//Inital the System
	GPIO_PT1OutputMode(0);
	GPIO_PT1OutputMode(1);
    GPIO_PT1SETIN(0);
    GPIO_PT1SETIN(1);
    GPIO_PT1CLR(0);
    GPIO_PT1CLR(1);

    for(i=0;i<=3;i++)
        PT1 ^= (XOR <<0);

	WDT_WDTCKDivSelect(DWDT_WDTCKDIV64);
	WDTIF_ClearFlag();
	WDTIE_Enable();
	WDT_Enable();
	GIE_Enable();

	while(1)
	{
		//Idle_WakeUp();
		//Normal_clear();
		Normal_NotClear();
	}

}

void Idle_WakeUp(void)
{
	WDT_WDTCKDivSelect(DWDT_WDTCKDIV2048);
	Idle();
	NOP();
}

void Normal_clear(void)
{
	WDT_CLEAR();
}

void Normal_NotClear(void)
{
	NOP();
}

/*----------------------------------------------------------------------------*/
/* Interrupt Service Routines                                                 */
/*----------------------------------------------------------------------------*/
void ISR(void) __interrupt
{
	if(WDTIF_IsFlag())
	{
		PT1 ^= (XOR <<1);
		WDTIF_ClearFlag();
	}

}

/*----------------------------------------------------------------------------*/
/* End Of File                                                                */
/*----------------------------------------------------------------------------*/
